.hamburger,
.hamburgerMain {
padding: 15px 0;
display: inline-block;
cursor: pointer;
transition-property: opacity, filter;
transition-duration: .15s;
transition-timing-function: linear;
font: inherit;
color: inherit;
text-transform: none;
background-color: transparent;
border: 0;
margin: 0;
overflow: visible
}

.hamburger:hover,
.hamburgerMain:hover {
opacity: .7
}

.hamburger.is-active:hover,
.hamburgerMain.is-active:active {
opacity: .7
}

.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after {
background-color: var(--themeColor)
}

.hamburger-box {
width: 35px;
height: 30px;
display: block;
position: relative
}

.hamburger-inner {
display: block;
top: 50%;
margin-top: -2px
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
width: 35px;
height: 3px;
background-color: var(--themeColor);
border-radius: 4px;
position: absolute;
transition-property: transform;
transition-duration: .15s;
transition-timing-function: ease
}

.hamburger-inner::before,
.hamburger-inner::after {
content: "";
display: block
}

.hamburger-inner::before {
top: -10px
}

.hamburger-inner::after {
bottom: -10px
}

.hamburger--spin .hamburger-inner {
transition-duration: .22s;
transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19)
}

.hamburger--spin .hamburger-inner::before {
transition: top .1s .25s ease-in, opacity .1s ease-in
}

.mobileBar .hamburger--spin .hamburger-inner::after {
transition: bottom .1s .25s ease-in, transform .22s cubic-bezier(0.55, 0.055, 0.675, 0.19)
}

.hamburger--spin.is-active .hamburger-inner {
transform: rotate(225deg);
transition-delay: .12s;
transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1)
}

.hamburger--spin.is-active .hamburger-inner::before {
top: 0;
opacity: 0;
transition: top .1s ease-out, opacity .1s .12s ease-out
}

.hamburger--spin.is-active .hamburger-inner::after {
bottom: 0;
transform: rotate(-90deg);
transition: bottom .1s ease-out, transform .22s .12s cubic-bezier(0.215, 0.61, 0.355, 1)
}

.mobileBarCOntainer {
justify-content: space-between;
align-items: center
}

.mobileBar {
justify-content: space-between;
align-items: center;
width: 100vw;
box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
}

.mobileBar button:focus {
outline: none
}

#mobileMenu {
background: var(--little-gray-bkg);
transition: 300ms;
width: 100%;
height: calc(100vh - 60px - 60px);
position: fixed;
top: 60px;
right: -100%;
overflow-y: scroll;
}

#mobileMenu #navigation {
padding-top: 20px
}

#mobileMenu #navigation li {
display: block;
width: 100%;
text-align: center
}

#mobileMenu #navigation li.act {
background: var(--themeColor);
}

#mobileMenu #navigation li a {
font-size: var(--font-size);
line-height: 1.5;
display: block;
color: var(--fontColor);
text-decoration: none;
text-transform: uppercase;
padding: 10px 0;
width: 100%;
}

#mobileMenu #navigation li.currentLang a {
font-weight: 400;
}

#mobileMenu #navigation li.act li.act a,
#mobileMenu #navigation li.act a {
color: var(--gold-color);
}

#mobileMenu #navigation li.act li a {
/*color: var(--little-gray-bkg);*/
color:var(--fontColor);
}

#mobileMenu #navigation li.current_page_item a {
color: rgba(255, 255, 255, 0.2)
}

#mobileMenu #navigation li {
border-top: 1px solid rgba(193, 171, 128, 0.4)
}

#mobileMenu.showMenu {
right: 0
}

.rozwinMobile,
.rozwinAside {
color: var(--themeColor);
width: 50px;
order: 2;
line-height: 60px;
display: block;
font-size: 26px;
cursor: pointer;
}

.bottomNavMobile {
height: 60px;
position: fixed;
bottom: 0;
left: 0;
width: 100vw;
background: white;
z-index: 150;
justify-content: space-between;
align-items: center;
}

.bottomNavMobile>a {
display: flex;
justify-content: center;
align-items: center;
flex-direction: column;
height: 60px;
color: #888888;
text-transform: uppercase;
width: 33.333%;
text-decoration: none;
font-size: 13px;
letter-spacing: 1px !important;
border-top: 1px solid rgba(63, 66, 89, 0.2);
}

.telMobile {
border-left: 1px solid rgba(0, 0, 0, 0.2);
border-right: 1px solid rgba(0, 0, 0, 0.2);
}

.bottomNavMobile .rezerwujMobile {
border-top: unset;
color: white;
background: var(--themeColor);
}

#mobileMenu #navigation li {
display: flex;
flex-wrap: wrap;
width: 100%;
align-items: center;
justify-content: center;
}

.menuMobileLink .rozwinMobile~a {
width: calc(100% - 50px);
padding-left: 50px;
}

#mobileMenu .socialMedia a {
color: var(--themeColor) !important;
}

#mobileMenu .socialMedia {
justify-content: center;
padding: 30px 0 10px 0;
}

.bottomNavMobile img {
height: 20px;
margin: 2px 0 4px;
}

#mobileMenu #navigation .menuMobileRow {
display: flex;
align-items: center;
gap: 5px;
width:100%;
}

.mobilneMenu .arrowMenu.arrowMenuDown {
position: /*relative*/absolute;
right:15px;
min-width: 30px;
width: 30px;
height: 30px;
}

.mobilneMenu .arrowMenu.arrowMenuDown::after {
content: '';
position: absolute;
background-image: url('/img/hotel/arrowDownMenu.svg');
width: 30px;
height: 30px;
left: 0;
background-repeat: no-repeat;
background-position: center;
transform: rotate(0);
transition: 300ms;
}


/* Hamburger menu na PC i elementy wspólne z rozwijanym podmenu mobilnym */

.hamburgerMain {
height: 45px;
width: 155px;
padding: 0;
gap: 5px;
display: flex;
justify-content: center;
align-items: center;
background-color: #fff;
transition: 300ms;
}

.act .hamburgerMain {
background-color: var(--themeColor);
}

.hamburgerMain .menuText {
font-family: var(--regularFont);
font-size: 16px;
text-transform: uppercase;
}

.act .hamburgerMain .menuText {
color: #fff;
}

.hamburgerMain.is-active .hamburger-inner,
.hamburgerMain.is-active .hamburger-inner::before,
.hamburgerMain.is-active .hamburger-inner::after {
background-color: #000;
}

.hamburgerMain .hamburger-inner,
.hamburgerMain .hamburger-inner::before,
.hamburgerMain .hamburger-inner::after {
width: 30px;
height: 1px;
background-color: #000;
position: absolute;
transition-property: transform;
transition-duration: .15s;
transition-timing-function: ease
}

.act .hamburgerMain .hamburger-inner,
.act .hamburgerMain .hamburger-inner::before,
.act .hamburgerMain .hamburger-inner::after {
background-color: #fff;
}

.hamburgerMain .hamburger-inner {
margin-top: 0
}

.hamburgerMain .hamburger-inner::before {
top: 5px
}

.hamburgerMain .hamburger-inner::after {
bottom: 5px
}

#MainMenuAside {
background: var(--little-gray-bkg);
transition: 600ms;
width: 40%;
height: 100vh;
position: fixed;
top: 0;
left: -100%;
box-shadow: 0 3px 6px rgba(0, 0, 0, .1);
overflow-y: auto;
}

#MainMenuAside #navigation {
padding-top: 20px
}

#MainMenuAside #navigation .menuAside {
padding: 20px 80px;
}

#MainMenuAside #navigation li {
text-align: left;
display: block;
padding: 10px 0;
}

#MainMenuAside #navigation li a {
font-size: var(--font-large);
font-family: var(--beutyFont);
line-height: 1.5;
color: var(--fontColor);
text-decoration: none;
text-transform: none;
}

#MainMenuAside #navigation li a:hover {
color: var(--gold-color);
}

#MainMenuAside #navigation li.currentLang a {
font-weight: 400;
}

#MainMenuAside #navigation li.act li.act a,
#MainMenuAside #navigation li.act .menuAsideRow a {
color: var(--gold-color);
}

#MainMenuAside #navigation li.current_page_item a {
color: rgba(255, 255, 255, 0.2)
}

#MainMenuAside.showMenu {
left: 0
}

.menuAsideLink .rozwinAside~a {
width: calc(100% - 50px);
}

.menuAsideLink .arrowMenu.arrowMenuDown {
width: 30px;
height: 30px;
}

.menuAsideLink .arrowMenu.arrowMenuDown::after {
content: '';
position: absolute;
background-image: url('/img/hotel/arrowDownMenu.svg');
width: 30px;
height: 30px;
background-repeat: no-repeat;
background-position: center;
transform: rotate(0);
transition: 300ms;
}

.menuAsideLink .arrowMenu.arrowMenuDown:hover::after {
height: 36px;
}

.menuAsideLink .arrowMenu.arrowMenuUp::after,
.mobilneMenu .arrowMenu.arrowMenuUp::after {
transform: rotateX(180deg);
}

.menuLangsWrapperAside {
margin-top: 20px;
padding-left: 80px;
display: flex;
align-items: center;
justify-content: flex-start;
background-color: var(--themeColor);
}


#MainMenuAside .hamburgerMain {
background-color: var(--themeColor);
justify-content: flex-start;
width: 100px;
}

#MainMenuAside .hamburgerMain.is-active .hamburger-inner,
#MainMenuAside .hamburgerMain.is-active .hamburger-inner::before,
#MainMenuAside .hamburgerMain.is-active .hamburger-inner::after,
#MainMenuAside .hamburgerMain .hamburger-inner,
#MainMenuAside .hamburgerMain .hamburger-inner::before,
#MainMenuAside .hamburgerMain .hamburger-inner::after {
background-color: #fff;
transition: none;
}

#MainMenuAside .hamburgerMain .menuText {
color: #fff;
}

#MainMenuAside #navigation .langsContainer {
width: 250px;
}

#MainMenuAside #navigation .langsContainer li {
padding: 0;
}

#MainMenuAside #navigation .langsContainer li a {
font-family: var(--regularFont);
color: #fff;
font-size: 15px;
}

#MainMenuAside #navigation .langsContainer ul .currentLang,
#MainMenuAside #navigation .langsContainer ul li:hover {
border-bottom: solid 1px #fff;
}


#MainMenuAside .hamburger--spin.is-active .hamburger-inner {
transform: rotate(200deg);
}

#MainMenuAside .hamburger--spin.is-active .hamburger-inner::after {
transform: rotate(-40deg);
}

#MainMenuAside #navigation .aside-sub-menu,
#mobileMenu #navigation .mobile-sub-menu {
width: 100%;
order: 3;
max-height: 0;
overflow: hidden;
visibility: hidden;
opacity: 0;
transition: 300ms;
}

#MainMenuAside #navigation .aside-sub-menu li a,
#mobileMenu #navigation .mobile-sub-menu li a {
font-size: var(--font-size);
}

#MainMenuAside #navigation .aside-sub-menu.active,
#mobileMenu #navigation .mobile-sub-menu.active {
max-height: 450px;
overflow: visible;
opacity: 1;
visibility: visible;
background: rgba(255,255,255,1);
}

#MainMenuAside #navigation .menuAsideRow {
display: flex;
align-items: center;
gap: 15px;
}

#MainMenuAside #navigation li ul li {
padding: 8px 0;
font-family: var(--regularFont);
}

#MainMenuAside #navigation li.act .menuMobileRow a {
color: var(--gold-color);
}